unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables;

type
  TDataModule1 = class(TDataModule)
    DSbiolife: TDataSource;
    biolife: TTable;
    orders: TTable;
    QEmployee: TQuery;
    DSorders: TDataSource;
    customer: TTable;
    ordersOrderNo: TFloatField;
    ordersCustNo: TFloatField;
    ordersSaleDate: TDateTimeField;
    ordersShipDate: TDateTimeField;
    ordersEmpNo: TIntegerField;
    ordersShipToContact: TStringField;
    ordersShipToAddr1: TStringField;
    ordersShipToAddr2: TStringField;
    ordersShipToCity: TStringField;
    ordersShipToState: TStringField;
    ordersShipToZip: TStringField;
    ordersShipToCountry: TStringField;
    ordersShipToPhone: TStringField;
    ordersShipVIA: TStringField;
    ordersPO: TStringField;
    ordersTerms: TStringField;
    ordersPaymentMethod: TStringField;
    ordersItemsTotal: TCurrencyField;
    ordersTaxRate: TFloatField;
    ordersFreight: TCurrencyField;
    ordersAmountPaid: TCurrencyField;
    DScustomer: TDataSource;
    DSEmployee: TDataSource;
    procedure SomeEvent(Sender: TObject);
    procedure DataModuleCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DataModule1: TDataModule1;

implementation

uses RegMeth;

{$R *.DFM}

{ TDataModule1 }

procedure TDataModule1.SomeEvent(Sender: TObject);
begin
  MessageBox(0, 'This event is a part of DataModule1.', 'Exaple of method call',
             MB_ICONINFORMATION or MB_OK);
end;

procedure TDataModule1.DataModuleCreate(Sender: TObject);
begin
  MethRegister.AddNotifyEvent(SomeEvent);
  try
    biolife.Active := true;
    orders.Active := true;
    QEmployee.Active := true;
    customer.Active := true;
  except
    MessageBox(0, 'Can not open tables in DBDEMOS', 'DB Error', MB_OK or MB_ICONHAND)
  end
end;

end.
